PDL::Lite(3pm)

NAME
PDL::Lite - minimum PDL module OO loader

SYNOPSIS
 use PDL::Lite; # Is equivalent to the following:

   use PDL::Core '';
   use PDL::Ops '';
   use PDL::Primitive '';
   use PDL::Ufunc '';
   use PDL::Basic '';
   use PDL::Slices '';
   use PDL::Bad '';

DESCRIPTION
Loads the smallest possible set of modules for PDL to work, importing only those functions always defined by PDL::Core) into the current namespace ("pdl", "barf" and "null"). This is the absolute minimum set for PDL.

Access to other functions is by method syntax, viz:

  $x = PDL->pdl(1, 2, 3, 4, 5);
  $x->wibble(42);

Note that unlike PDL, this does not load PDL::Math or PDL::MatrixOps, nor any IO modules.